Create session

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /public/v2/foreman-session

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

application/json

Body Required

  • id string(uuid)
  • lastModified string(date-time)
  • projectId integer(int64)
  • subject string
  • agentType string

    Values are FULL or KB.

  • modelId integer(int64)
  • archived boolean
  • scenarioId integer(int64)

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id string(uuid)
    • lastModified string(date-time)
    • projectId integer(int64)
    • subject string
    • agentType string

      Values are FULL or KB.

    • modelId integer(int64)
    • archived boolean
    • scenarioId integer(int64)
POST /public/v2/foreman-session
curl \
 --request POST 'https://live.smartpmtech.com/public/v2/foreman-session' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "id": "string",
  "lastModified": "2026-05-04T09:42:00Z",
  "projectId": 42,
  "subject": "string",
  "agentType": "FULL",
  "modelId": 42,
  "archived": true,
  "scenarioId": 42
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "id": "string",
  "lastModified": "2026-05-04T09:42:00Z",
  "projectId": 42,
  "subject": "string",
  "agentType": "FULL",
  "modelId": 42,
  "archived": true,
  "scenarioId": 42
}
Response examples (200)
{
  "id": "string",
  "lastModified": "2026-05-04T09:42:00Z",
  "projectId": 42,
  "subject": "string",
  "agentType": "FULL",
  "modelId": 42,
  "archived": true,
  "scenarioId": 42
}